=== debian/changelog ===
boomaga (1.3.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump debhelper compat up to 9.
  * Convert to 3.0 (quilt) source format.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Nov 2018 12:58:51 -0800

boomaga (1.3.0-1xenial) xenial; urgency=low
  * New program release

 -- Alexander Sokolov <sokoloff.a@gmail.com>  Wed, 25 Apr 2018 20:58:36 +0300
