=== debian/control ===
Source: boomaga
Section: utils
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alexander Sokolov <sokoloff.a@gmail.com>
Build-Depends: pkg-config,
    debhelper (>= 9),
    dpkg-dev (>= 1.16.0~),
    cmake,
    qtbase5-dev,
    qttools5-dev-tools,
    libcups2-dev,
    libsnappy-dev,
    libpoppler-cpp-dev
Standards-Version: 3.9.5
Homepage: https://github.com/Boomaga/boomaga

Package: boomaga
Architecture: any
Depends:  cups, ${shlibs:Depends}, ${misc:Depends}
Description: virtual printer for viewing a document before printing
 Boomaga (BOOklet MAnager) is a virtual printer for viewing a document before
 printing it out using the physical printer.
 The program is very simple to work with. Running any program, click “print”
 and select “Boomaga” to see in several seconds (CUPS takes some time to
 respond) the Boomaga window open.
 If you print out one more document, it gets added to the previous one, and you
 can also print them out as one.
 Regardless of whether your printer supports duplex printing or not, you would
 be able to easily print on both sides of the sheet.
