=== debian/changelog ===
boomaga (1.3.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 01 Feb 2021 14:46:58 +0800

boomaga (1.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Includes fix for cairo2 1.15.10 cups intermediate files breaking
      boomaga's UI (Closes: #890186).
  * Bump debian/compat to 11.
    - Build depend upon debhelper >= 11~.
  * Use https for debian copyright format URL.
  * Fix debian/copyright's entries order, wildcards should go first.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Add QList header.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Apr 2018 15:47:46 -0300
