=== src/backend/CMakeLists.txt ===
--- 
+++ 
@@ -24,5 +24,9 @@
  # END_COMMON_COPYRIGHT_HEADER
 
 
-add_subdirectory(dbus)
 
+add_subdirectory(cups_backend)
+
+if(${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
+    add_subdirectory(macos_agent)
+endif()
