=== src/boomaga/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,10 @@
 
 cmake_minimum_required(VERSION 3.0.0)
 cmake_policy(SET CMP0028 NEW)
+if (POLICY CMP0071)
+    cmake_policy(SET CMP0071 NEW)
+endif()
+
 
 project(boomagaGui)
 
@@ -34,18 +38,25 @@
     dbus.h
     render.h
     settings.h
+    finddbusaddress.h
+    ../common.h
 
     kernel/sheet.h
-    kernel/inputfile.h
     kernel/job.h
     kernel/tmppdffile.h
     kernel/layout.h
-    kernel/projectfile.h
     kernel/project.h
     kernel/projectpage.h
     kernel/printer.h
     kernel/cupsprinteroptions.h
-        
+    kernel/pdfprocessor.h
+
+    iofiles/infile.h
+    iofiles/boofile.h
+    iofiles/pdffile.h
+    iofiles/cupsboofile.h
+    iofiles/postscriptfile.h
+
     gui/mainwindow.h
     gui/actions.h
     gui/icon.h
@@ -62,14 +73,14 @@
     gui/widgets/subbookletview.h
     
     translations/translatorsinfo/translatorsinfo.h
-
-    pdfmerger/pdfmergeripc.h
     
     pdfparser/pdferrors.h
+    pdfparser/pdfobject.h
+    pdfparser/pdfreader.h
+    pdfparser/pdfvalue.h
+    pdfparser/pdfwriter.h
     pdfparser/pdfxref.h
-    pdfparser/pdfvalue.h
-    pdfparser/pdfreader.h
-    pdfparser/pdfobject.h
+
 )
 
 set(SOURCES
@@ -78,9 +89,10 @@
     dbus.cpp
     render.cpp
     settings.cpp
+    finddbusaddress.cpp
+    ../common.cpp
 
     kernel/sheet.cpp
-    kernel/inputfile.cpp
     kernel/job.cpp
     kernel/tmppdffile.cpp
     kernel/layout.cpp
@@ -88,8 +100,14 @@
     kernel/projectpage.cpp
     kernel/cupsprinteroptions.cpp
     kernel/printer.cpp
-    kernel/projectfile.cpp
-    
+    kernel/pdfprocessor.cpp
+    
+    iofiles/infile.cpp
+    iofiles/pdffile.cpp
+    iofiles/boofile.cpp
+    iofiles/cupsboofile.cpp
+    iofiles/postscriptfile.cpp
+
     gui/mainwindow.cpp
     gui/actions.cpp
     gui/icon.cpp
@@ -106,13 +124,12 @@
     gui/widgets/subbookletview.cpp
     
     translations/translatorsinfo/translatorsinfo.cpp
-
-    pdfmerger/pdfmergeripc.cpp
-    
+    
+    pdfparser/pdfobject.cpp
+    pdfparser/pdfreader.cpp
+    pdfparser/pdfvalue.cpp
+    pdfparser/pdfwriter.cpp
     pdfparser/pdfxref.cpp
-    pdfparser/pdfvalue.cpp
-    pdfparser/pdfreader.cpp
-    pdfparser/pdfobject.cpp
 )
 
 
@@ -193,35 +210,43 @@
 qt5_add_translation(QM_FILES    ${TS_FILES})
 
 
-add_executable(${INSTANCE_NAME} ${HEADERS} ${SOURCES} ${QM_FILES} ${QRC_SOURCES} ${TRANSLATORS_INFO_QRC})
-target_link_libraries(${INSTANCE_NAME} ${LIBRARIES} Qt5::Widgets Qt5::PrintSupport Qt5::DBus)
-
-
-install(TARGETS ${INSTANCE_NAME} RUNTIME DESTINATION ${GUI_DIR})
+add_executable(boomaga ${HEADERS} ${SOURCES} ${QM_FILES} ${QRC_SOURCES} ${TRANSLATORS_INFO_QRC})
+set_target_properties(boomaga PROPERTIES OUTPUT_NAME "boomaga")
+target_link_libraries(boomaga ${LIBRARIES} Qt5::Widgets Qt5::PrintSupport Qt5::DBus)
+
+
+install(TARGETS boomaga RUNTIME DESTINATION ${GUI_DIR})
 install(FILES ${QM_FILES} DESTINATION ${TRANSLATIONS_DIR})
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.boomaga.service
-               ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service
-               @ONLY)
-
-include(cmake/CreateDesktopFile.cmake)
-CREATE_DESKTOP_FILE(misc/boomaga.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop translations/*.desktop)
-
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service DESTINATION ${DBUS_SERVICE_DIR})
-
-
-install(FILES   misc/images/mainicon/boomaga-16x16.png   DESTINATION "share/icons/hicolor/16x16/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-32x32.png   DESTINATION "share/icons/hicolor/32x32/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-48x48.png   DESTINATION "share/icons/hicolor/48x48/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-64x64.png   DESTINATION "share/icons/hicolor/64x64/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-128x128.png DESTINATION "share/icons/hicolor/128x128/apps" RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-256x256.png DESTINATION "share/icons/hicolor/256x256/apps" RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-512x512.png DESTINATION "share/icons/hicolor/512x512/apps" RENAME "boomaga.png")
-
-install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop DESTINATION "share/applications")
-install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")
-install(FILES   misc/boomaga.1.gz       DESTINATION share/man/man1)
-
-add_subdirectory(pdfmerger)
+if( ${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
+    # MacOS ***********************************************
+
+    # MacOS ***********************************************
+
+else()
+    # Linux + BSD *****************************************
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.boomaga.service
+                   ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service
+                   @ONLY)
+
+    include(cmake/CreateDesktopFile.cmake)
+    CREATE_DESKTOP_FILE(misc/boomaga.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop translations/*.desktop)
+
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service DESTINATION ${DBUS_SERVICE_DIR})
+
+
+    install(FILES   misc/images/mainicon/boomaga-16x16.png   DESTINATION "share/icons/hicolor/16x16/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-32x32.png   DESTINATION "share/icons/hicolor/32x32/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-48x48.png   DESTINATION "share/icons/hicolor/48x48/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-64x64.png   DESTINATION "share/icons/hicolor/64x64/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-128x128.png DESTINATION "share/icons/hicolor/128x128/apps" RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-256x256.png DESTINATION "share/icons/hicolor/256x256/apps" RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-512x512.png DESTINATION "share/icons/hicolor/512x512/apps" RENAME "boomaga.png")
+
+    install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop DESTINATION "share/applications")
+    install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")
+    install(FILES   misc/boomaga.1.gz       DESTINATION share/man/man1)
+    # Linux + BSD *****************************************
+endif()
 
 add_tests("tests")
