=== debian/changelog ===
boomaga (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to compat 12.
    - Override dh_missing instead of dh_install in order to pass --fail-missing.
  * Remove dbg migration code from debian/rules, no longer needed.
  * Update Standards-Version to 4.3.0, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Jul 2019 22:08:43 -0300
